## morfeusz 20110416

=== Makefile ===
morfenc = MorfEnc.pm morfeusz_encoding.txt

all: tab-unicode.cc tab-latin2.cc tab-cp1250.cc tab-cp852.cc \
	latin2-tab.pl char-ranges.hh unicode-tab.pl

tab-unicode.cc: gentable-unicode $(morfenc)
	./gentable-unicode > $@

unicode-tab.pl: gentable-unicode-perl $(morfenc)
	./gentable-unicode-perl > $@

tab-latin2.cc: 8859-2.txt gentable-8bit $(morfenc)
	./gentable-8bit latin2 $< > $@

tab-cp1250.cc: cp1250.txt gentable-8bit $(morfenc)
	./gentable-8bit cp1250 $< > $@

tab-cp852.cc: cp852.txt gentable-8bit $(morfenc)
	./gentable-8bit cp852 $< > $@

latin2-tab.pl: 8859-2.txt gentable-perl $(morfenc)
	./gentable-perl  $< > $@

char-ranges.hh: dump-ranges $(morfenc)
	./dump-ranges >$@

.PHONY: all

=== debian/changelog ===
morfeusz (20110416-2) experimental; urgency=low

  * Don't use hardening-includes anymore.
  * Use CPPFLAGS from dpkg-buildflags.
  * Multi-archify:
    + Make morfeusz ‘Multi-Arch: same’.
    + Make libmorfeusz0 and libmorfeusz-dev ‘Multi-Arch: foreign’.
    + Add ‘Pre-Depends: ${misc:Pre-Depends}’ to libmorfeusz0.
    + Install shared libraries to /usr/lib/$(DEB_HOST_MULTIARCH) rather than
      /usr/lib.
    + Bump minimum required version of dpkg-dev to 1.16.
  * Add simple manual page.
    + Build-depend on python-docutils.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 27 Oct 2011 16:33:26 +0200

morfeusz (20110416-1) experimental; urgency=low

  * Initial release (closes: #625652).

 -- Jakub Wilk <jwilk@debian.org>  Mon, 15 Aug 2011 23:44:17 +0200

=== debian/control ===
Source: morfeusz
Section: text
Priority: optional
Maintainer: Jakub Wilk <jwilk@debian.org>
Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.16), locales (>= 0),
 libreadline-dev, python-docutils (>= 0.6)
Standards-Version: 3.9.2
Homepage: http://sgjp.pl/morfeusz/

Package: libmorfeusz0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: morfeusz (<< 20110416)
Replaces: morfeusz (<< 20110416)
Description: morphological analyser of Polish (shared library)
 Lexeme is an abstract entity of language, a word in the dictionary sense. Word
 form is a word that has been interpreted — ascribed to a particular lexeme and
 described as for its grammatical function.
 .
 Morphological analysis consists in determining all forms of all lexemes for a
 particular word, that it is an exponent of. The context, in which the word has
 appeared, is not taken into consideration in this process.
 .
 Morfeusz carries out a morphological analysis for Polish.
 .
 This package includes the shared library.

Package: libmorfeusz-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libmorfeusz0 (= ${binary:Version})
Breaks: morfeusz (<< 20110416)
Replaces: morfeusz (<< 20110416)
Description: morphological analyser of Polish (development kit)
 Lexeme is an abstract entity of language, a word in the dictionary sense. Word
 form is a word that has been interpreted — ascribed to a particular lexeme and
 described as for its grammatical function.
 .
 Morphological analysis consists in determining all forms of all lexemes for a
 particular word, that it is an exponent of. The context, in which the word has
 appeared, is not taken into consideration in this process.
 .
 Morfeusz carries out a morphological analysis for Polish.
 .
 This package contains the static library and header files used in development.

Package: morfeusz
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: morphological analyser of Polish (command-line)
 Lexeme is an abstract entity of language, a word in the dictionary sense. Word
 form is a word that has been interpreted — ascribed to a particular lexeme and
 described as for its grammatical function.
 .
 Morphological analysis consists in determining all forms of all lexemes for a
 particular word, that it is an exponent of. The context, in which the word has
 appeared, is not taken into consideration in this process.
 .
 Morfeusz carries out a morphological analysis for Polish.
 .
 This package contains the command-line tool.

=== debian/rules ===
#!/usr/bin/make -f

# build, build-* targets
# ======================

test_input = $(wildcard debian/test/*.in)

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

unexport LDFLAGS
LDFLAGS = -Wl,--as-needed -Wl,--version-script=../debian/version-script $(shell dpkg-buildflags --get LDFLAGS)
unexport CXXFLAGS
CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)

.PHONY: build build-arch build-indep
build-indep:
build build-arch:
	dh_testdir
	$(MAKE) -f debian/rules obj/stamp
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	$(MAKE) -f debian/rules $(test_input:.in=.stamp)
endif

obj/Makefile: Makefile.linux32
	mkdir -p obj/
	sed -r -e '/^(OPTFLAGS *=.*)/ { s/ -O2 / /; s/ -s / /; s/(.*)/\1 $(CXXFLAGS)/; s/  / /g } ' < $(<) > $(@)

obj/stamp: obj/Makefile
	$(MAKE) -C obj/ CXX="g++ $(LDFLAGS)"
	rst2man debian/morfeusz.rst obj/morfeusz.1
	touch $(@)

obj/pl_PL.UTF-8:
	localedef -f UTF-8 -i pl_PL $(@)/

$(test_input:.in=.stamp): %.stamp: %.in %.out obj/stamp obj/pl_PL.UTF-8
	env -i \
		LD_LIBRARY_PATH=obj/ \
		LC_CTYPE=pl_PL.UTF-8 \
		LOCPATH=obj/ \
		obj/morfeusz < $(*).in 2>/dev/null | diff -u $(*).out -
	touch $(@)

# binary, binary-* targets
# ========================

export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

.PHONY: binary binary-arch binary-indep
binary-indep:
binary binary-arch: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_install -p libmorfeusz0 'obj/libmorfeusz*.so.*' /usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -p libmorfeusz-dev obj/libmorfeusz.so /usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install
	dh_installdocs -A README CZYTAJTO
	dh_installman
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_strip
	dh_makeshlibs
	dh_shlibdeps
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# clean target
# ============

.PHONY: clean
clean:
	dh_clean
	rm -Rf obj/

# vim:ts=4 sw=4 noet

=== debian/watch ===
version=3
http://sgjp.pl/morfeusz/dopobrania.html \
download/morfeusz-SGJP-src-([0-9]+)[.]tar[.]bz2
